Bug 1293160 - Re-enable building on armv7hl
Re-enable building on armv7hl
Status: CLOSED NOTABUG
Product: Fedora EPEL
Classification: Fedora
Component: pandoc (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 804125
  Show dependency treegraph
 
Reported: 2015-12-20 15:48 EST by Tadej Janež
Modified: 2017-01-04 12:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-04 12:14:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tadej Janež 2015-12-20 15:48:14 EST
The current version of pandoc in EPEL7 disables building on armv7hl via:
"ExcludeArch: armv7hl"

Please, bump the version and rebuild it. I need this to build bup on armv7hl:
https://apps.fedoraproject.org/packages/bup.
Failed scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=12262513
Comment 1 Jens Petersen 2016-07-25 22:40:21 EDT
Erm you mean ppc64le? ;o)
Comment 2 Tadej Janež 2016-12-30 09:20:26 EST
(In reply to Jens Petersen from comment #1)
> Erm you mean ppc64le? ;o)

Hmm... I'm quite certain that armv7hl is disabled, not ppc64le [1] ;-).

For example, the latest EPEL 7 build from Dec 3, 2016 [2] has binaries for:
- aarch64
- ppc64
- ppc64le
- x86_64
Only armv7hl is missing.

[1] https://src.fedoraproject.org/cgit/rpms/pandoc.git/tree/pandoc.spec?h=epel7&id=89c925480d9817bf1e53a22980237e631b76a563#n58
[2] https://koji.fedoraproject.org/koji/buildinfo?buildID=822278
Comment 3 Jens Petersen 2017-01-03 21:22:53 EST
I mean there is no armv7hl for EPEL7 in koji :) but are you building it somewhere else?
Comment 4 Tadej Janež 2017-01-04 12:14:20 EST
Jens,

(In reply to Jens Petersen from comment #3)
> I mean there is no armv7hl for EPEL7 in koji :)

you are right, there is no armv7hl for EPEL7 in koji :).

Sorry about the confusion.

Note You need to log in before you can comment on or make changes to this bug.